Skip to main content
POST

NIC validations

  1. EWB can be added to the CEWB if the generator of CEWB is a generator or the assigned transporter of the e-way bill.
  2. EWB can be added to the CEWB only if the e-way bill is active, that is, not cancelled.
  3. EWB can be added to the CEWB only if the e-way bill is within validity period, that is validity is not expired.
  4. If vehicle number is passed, the format of the vehicle number should be valid and as per the format.
  5. In case of road as a transportation mode , the vehicle number should be passed and transport document number is optional.
  6. In case of rail, air or ship as a transportation mode, the transport document number is must.
  7. Limiting generation of E Way Bill within 180 days of Document Date.
  8. Railways integration for validating Trans Document NO .

Request body schema

View request body schema

Authorizations

authorization
string
header
required

E-Way Bill taxpayer access token returned by Authenticate.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

x-source
enum<string>
default:primary

NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.

Available options:
primary,
secondary
x-proxy
enum<string>

NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.

Available options:
primary,
secondary

Body

application/json

E-Way Bill schema.

fromPlace
string

The fromPlace value.

Example:

"BANGALORE SOUTH"

fromState
number

The fromState value.

Example:

29

transDocDate
string

The transDocDate value.

Example:

"12/10/2017"

transDocNo
string

The transDocNo value.

Example:

"1234"

transMode
string

The transMode value.

See transport modes.

Example:

"1"

tripSheetEwbBills
object[]

The tripSheetEwbBills value.

Example:
vehicleNo
string

The vehicleNo value.

See vehicle number formats.

Example:

"KA12AB1234"

Response

200 - application/json

200 EWBs consolidated / 650 Consignee cannot consolidate EWB

An E-Way Bill success or NIC business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required